package com.mvc.dao;

import com.mvc.entity.AppDeviceGroup;
import com.mvc.entity.AppDeviceGroupExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AppDeviceGroupMapper {
    long countByExample(AppDeviceGroupExample example);

    int deleteByExample(AppDeviceGroupExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(AppDeviceGroup record);

    int insertSelective(AppDeviceGroup record);

    List<AppDeviceGroup> selectByExample(AppDeviceGroupExample example);

    AppDeviceGroup selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") AppDeviceGroup record, @Param("example") AppDeviceGroupExample example);

    int updateByExample(@Param("record") AppDeviceGroup record, @Param("example") AppDeviceGroupExample example);

    int updateByPrimaryKeySelective(AppDeviceGroup record);

    int updateByPrimaryKey(AppDeviceGroup record);
}